## mingw-w64-fortran-stdlib-0.8.1-1.src.tar.zst

=== test/CMakeLists.txt ===
if (NOT TARGET "test-drive::test-drive")
  find_package("test-drive" REQUIRED)
endif()

if(WIN32)
  if(CMAKE_Fortran_COMPILER_ID MATCHES "^Intel")
    add_link_options(/Qoption,link,/STACK:8388608)
  elseif(CMAKE_Fortran_COMPILER_ID STREQUAL GNU)
    add_link_options(-Wl,--stack,8388608)
  endif()
endif()

macro(ADDTEST name)
    add_executable(test_${name} test_${name}.f90)
    target_link_libraries(test_${name} "${PROJECT_NAME}" "test-drive::test-drive")
    add_test(NAME ${name}
             COMMAND $<TARGET_FILE:test_${name}> ${CMAKE_CURRENT_BINARY_DIR}
             WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
endmacro(ADDTEST)

macro(ADDTESTPP name)
    add_executable(test_${name} test_${name}.F90)
    target_link_libraries(test_${name} "${PROJECT_NAME}" "test-drive::test-drive")
    add_test(NAME ${name}
             COMMAND $<TARGET_FILE:test_${name}> ${CMAKE_CURRENT_BINARY_DIR}
             WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
endmacro(ADDTESTPP)


add_subdirectory(array)
add_subdirectory(ascii)
if (STDLIB_BITSETS)
  add_subdirectory(bitsets)
endif()
add_subdirectory(constants)
add_subdirectory(hash_functions)
add_subdirectory(hash_functions_perf)
if (STDLIB_HASHMAPS)
  add_subdirectory(hashmaps)
endif()
add_subdirectory(intrinsics)
if (STDLIB_IO)
  add_subdirectory(io)
endif()
add_subdirectory(linalg)
if (STDLIB_LOGGER)
  add_subdirectory(logger)
endif()
add_subdirectory(optval)
add_subdirectory(selection)
add_subdirectory(sorting)
add_subdirectory(specialfunctions)
if (STDLIB_STATS)
  add_subdirectory(stats)
endif()
add_subdirectory(string)
if (STDLIB_SYSTEM)
  add_subdirectory(system)
endif()
if (STDLIB_QUADRATURE)
  add_subdirectory(quadrature)
endif()
add_subdirectory(math)
if (STDLIB_STRINGLIST)
  add_subdirectory(stringlist)
endif()
if (STDLIB_ANSI)
  add_subdirectory(terminal)
endif()

=== example/strings/CMakeLists.txt ===
ADD_EXAMPLE(chomp)
ADD_EXAMPLE(count)
ADD_EXAMPLE(ends_with)
ADD_EXAMPLE(find)
ADD_EXAMPLE(join)
ADD_EXAMPLE(padl)
ADD_EXAMPLE(padr)
ADD_EXAMPLE(replace_all)
ADD_EXAMPLE(slice)
ADD_EXAMPLE(starts_with)
ADD_EXAMPLE(strip)
ADD_EXAMPLE(to_string)
ADD_EXAMPLE(to_c_char)
ADD_EXAMPLE(zfill)
ADD_EXAMPLE(string_to_number)
ADD_EXAMPLE(stream_of_strings_to_numbers)

=== src/array/CMakeLists.txt ===
set(array_fppFiles
    )

set(array_cppFiles
    )

set(array_f90Files
    stdlib_array.f90
    )

configure_stdlib_target(${PROJECT_NAME}_array array_f90Files array_fppFiles array_cppFiles)

=== PKGBUILD ===
# Maintainer: ZUO Zhihua <zuo.zhihua@qq.com>

_realname=fortran-stdlib
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=0.8.1
pkgrel=1
pkgdesc="Fortran Standard Library (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64')
url="https://github.com/fortran-lang/stdlib"
msys2_references=(
  'aur: fortran_stdlib'
)
license=('spdx:MIT')
depends=("${MINGW_PACKAGE_PREFIX}-cc-libs"
         "${MINGW_PACKAGE_PREFIX}-libwinpthread"
         $([[ ${MINGW_PACKAGE_PREFIX} == *-clang-* ]] || echo "${MINGW_PACKAGE_PREFIX}-gcc-libgfortran")
         "${MINGW_PACKAGE_PREFIX}-openblas")
makedepends=("${MINGW_PACKAGE_PREFIX}-fc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-python-fypp")
source=("https://github.com/fortran-lang/stdlib/archive/v${pkgver}/${_realname}-${pkgver}.tar.gz")
sha256sums=('6d20b120a4b17fb23ee5353408f6826b521bd006cd42eb412b01984eb9c31ded')

prepare() {
  cd "${srcdir}/stdlib-${pkgver}"
}

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    "${MINGW_PREFIX}"/bin/cmake.exe \
      -G Ninja \
      -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
      -DBUILD_TESTING=off \
      -DCMAKE_MAXIMUM_RANK=4 \
      -DBUILD_SHARED_LIBS=ON \
      -DFIND_BLAS=ON \
      ../stdlib-${pkgver}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install .
}
